/*
Theme Name: Sweetness Child Theme
Description: A child theme based on Sweetness v2 by BNE Creative.
Author: Kerry Kline
Author URI: http://www.bnecreative.com
Version: 2020.10.3
Template: sweetness
*/

/*
 * 	IMPORTANT! There is no need to @import the parent's
 *	main style.css file. It's already enqueued!!
*/



/* ===========================================================
 *	General
 * ======================================================== */

/* 
 *	Available CSS Variables
 *	There are a number of pre-defined variables available
 *	from the theme. CSS Variables can be evoked by using.
 *
 *	Example: 
 *	.class{ 
 *		color: var(--theme-primary-color); 
 *	}
 *
 *	Theme General Vars:
 *		--theme-content-width
 *		--theme-sidebar-gutter
 *		--theme-default-btn-color
 *		--theme-heading-font-family
 *		--theme-body-font-family
 *	Theme Palette Colors:
 *		--theme-primary-color
 *		--theme-secondary-color
 *		--theme-tertiary-color
 *		--theme-dark-color
 *		--theme-light-color
 *		--theme-success-color
 *		--theme-danger-color
 *		--theme-warning-color
 *		--theme-info-color
 *
 *	In addition, there are numerous Bootstrap variables that can be found
 *	by using the browser inspector and finding the :root {}
 *
*/



/* == Typography == */
@media (max-width: 600px) {
	.heading-main {
		line-height: 1;
		font-size: 10vw !important;
	}
}


/* Link Hover Declaration */
p > a,
.footer-widgets .menu a,
.footer-copy a {
	transition: all .25s ease-out;
}

p > a:hover,
.footer-widgets .menu a:hover,
.footer-copy a:hover {
	box-shadow: inset currentColor 0 -2px 0;
}

/* Buttons */
.btn,
.btn-default,
.bne-block-btn,
.wp-block-button {
    font-family: var(--theme-heading-font-family);
    border-radius: 0;
}

p strong, p b,
ul strong, ul b  {
    color: #555;
}


/* == Utility == */
.overflow-visible {
	overflow: visible;
}

@media (max-width: 768px) {
    .wp-block-columns.col-xs-3-columns .wp-block-column {
        flex-basis: 33% !important;
    }
    .wp-block-columns.col-xs-2-columns .wp-block-column {
        flex-basis: 50% !important;
    }
}

.rounded-xlg {
    border-radius: .6rem !important;
}




/* ===========================================================
 *	Menu
 * ======================================================== */

/* == Mobile Nav btn ==*/
/*
@media (max-width: 767px) {
	.btn-navbar.open-nav {
		position: relative;
		top: 0;
		left: 0;
		right: 0;
		color: white;
		background-color: var(--theme-primary-color);
	}
}
*/

/* == Menu == */
@media (min-width: 768px) {
    #primary-menu > li {
        padding: 0 1em;
    }
    #primary-menu > li > a {
        transition: color .2s linear, background .2s linear, box-shadow .2s ease-out;
        padding: 0 0 5px 0;
    }

    #primary-menu > li > a:hover, 
    #primary-menu > li > a:focus, 
    #primary-menu > li.active > a, 
    #primary-menu > li.sfHover > a, 
    .bne-sticky-menu #primary-menu > li > a:hover, 
    .bne-sticky-menu #primary-menu > li.active > a, 
    .bne-sticky-menu #primary-menu > li.sfHover > a {
        box-shadow: inset var(--theme-primary-color) 0 -2px 0;
    }
    
        
}



/* ===========================================================
 *	Header
 * ======================================================== */


@media (min-width: 768px) {

    #header-wrapper {
        padding-top: 20px;
        padding-bottom: 20px;
    }
    
	#header-wrapper .header-content {
		padding-bottom: 0;
	}
    
    #header-wrapper .header-content > .row {
        align-items: center;
    }
    
    #header-wrapper .header-logo img {
        max-height: 80px;
    }
}



/* ===========================================================
 *	Main
 * ======================================================== */

/* == Blog == */
.blog-layout-list .page-heading {
    margin-bottom: 3rem;
}
.blog-layout-list h2.entry-title {
    font-size: 1.5rem;
}

@media (max-width: 600px) {
    .blog-layout-list .featured-image-wrapper,
    .single-post .single-template .featured-image-wrapper {
        float: none;
        margin: 0 auto 20px auto;
    }
    .blog-layout-list .featured-image-wrapper img,
    .single-post .single-template .featured-image-wrapper img {
        width: 100%;
    }
}


/* == Widgets == */
.post-list-wrapper h4.entry-title {
    font-size: 1rem;
}
.post-list-wrapper article {
    margin-bottom: 2rem !important;
}

.fixed-sidebar .widget-title {
    margin-bottom: 20px;
    border-bottom: 2px solid #ccc;
}

/* ===========================================================
 *	Footer
 * ======================================================== */

.footer-widgets .menu {
    list-style: none;
    padding: 0;
}
.footer-widgets .menu li {
    font-size: 1.1rem;
}


#footer_sub_content {
    border-top: 1px solid #ccc;
    padding-top: 40px;
}

#footer-menu {
    text-transform: uppercase;
}

@media (min-width: 768px) {
    #footer-menu,
    .bne-contact-bar.contact-bar-left ul {
        float: none;
    }
    
    #footer-menu > li:nth-child(1) {
        padding-left: 0;
    }
       
}

/* ===========================================================
 *	Blocks
 * ======================================================== */

/* == Block: Text Media == */
.wp-block-media-text:not(.alignfull) {
	padding-top: 3rem;
	padding-bottom: 3rem;
}

@media (max-width: 600px) {
	/* Force Media side to always be first */
	.wp-block-media-text.is-stacked-on-mobile.has-media-on-the-right .wp-block-media-text__media {
		grid-row: 1;
	}
	.wp-block-media-text.is-stacked-on-mobile.has-media-on-the-right .wp-block-media-text__content {
		grid-row: 2;
	}
	.wp-block-media-text .wp-block-media-text__content {
		padding-top: 20px;
	}
}

/* == BNE Post == */
.wp-block-bne-posts.has-layout-grid .entry-excerpt {
    font-size: 14px;
}



/* ===========================================================
 *	Shortcodes
 * ======================================================== */




/* ===========================================================
 *	Plugins
 * ======================================================== */

/* == BNE Slider == */
.bne-slider-wrapper .slide-caption {
    padding: 1.5rem 2rem !important;
}
.bne-slider-wrapper .slide .slide-caption {
    background: rgba(255,255,255,.6);
    color: #555;
}

@media( min-width: 768px ) {
    .bne-slider-wrapper .slide-caption {
        max-width: 50% !important;
    }
    .sidebar-layout-no-sidebar .bne-slider-wrapper.alignfull .slider-headline, 
    #featured-page-slider.alignfull .bne-slider-wrapper .slider-headline {
        font-size: 2.5vw !important;
    }
             
}

/* == Gravity Forms == */
/*
#wrapper .gform_wrapper .gform_footer {
	margin-top: 0;
}
#wrapper .gform_wrapper .gform_footer input[type=submit] {
	width: calc(100% - 16px);
}
*/